/// <reference types="react" />
declare function Map({ apiKey, children, defaultCenter, isCenterMarkerVisible, editMode, highlightShape, onClickShape, onMouseOutShape, onMouseOverShape, places, removeMarkers, shapes, ...rest }: {
    [x: string]: any;
    apiKey: any;
    children: any;
    defaultCenter: any;
    isCenterMarkerVisible: any;
    editMode: any;
    highlightShape: any;
    onClickShape: any;
    onMouseOutShape: any;
    onMouseOverShape: any;
    places: any;
    removeMarkers: any;
    shapes: any;
}): import("react").JSX.Element;
declare namespace Map {
    var propTypes: {
        children: any;
        defaultZoom: any;
        defaultCenter: any;
        defaultClickableIcons: any;
        editMode: any;
        isCenterMarkerVisible: any;
        places: any;
        removeMarkers: any;
        shapes: any;
        shapesToEnframe: any;
    };
    var defaultProps: {
        defaultZoom: number;
        defaultCenter: {
            lat: number;
            lng: number;
        };
        isCenterMarkerVisible: boolean;
        defaultOptions: {
            streetViewControl: boolean;
            scaleControl: boolean;
            mapTypeControl: boolean;
            panControl: boolean;
            zoomControl: boolean;
            rotateControl: boolean;
            fullscreenControl: boolean;
            clickableIcons: boolean;
            disableDefaultUI: boolean;
            styles: ({
                featureType: string;
                elementType: string;
                stylers: ({
                    saturation: number;
                    color?: undefined;
                    lightness?: undefined;
                } | {
                    color: string;
                    saturation?: undefined;
                    lightness?: undefined;
                } | {
                    lightness: number;
                    saturation?: undefined;
                    color?: undefined;
                })[];
            } | {
                featureType: string;
                elementType: string;
                stylers: ({
                    visibility: string;
                    color?: undefined;
                    lightness?: undefined;
                } | {
                    color: string;
                    visibility?: undefined;
                    lightness?: undefined;
                } | {
                    lightness: number;
                    visibility?: undefined;
                    color?: undefined;
                })[];
            } | {
                featureType: string;
                elementType: string;
                stylers: ({
                    color: string;
                    lightness?: undefined;
                    weight?: undefined;
                } | {
                    lightness: number;
                    color?: undefined;
                    weight?: undefined;
                } | {
                    weight: number;
                    color?: undefined;
                    lightness?: undefined;
                })[];
            } | {
                featureType: string;
                elementType: string;
                stylers: ({
                    saturation: number;
                    lightness?: undefined;
                    gamma?: undefined;
                    hue?: undefined;
                } | {
                    lightness: number;
                    saturation?: undefined;
                    gamma?: undefined;
                    hue?: undefined;
                } | {
                    gamma: number;
                    saturation?: undefined;
                    lightness?: undefined;
                    hue?: undefined;
                } | {
                    hue: string;
                    saturation?: undefined;
                    lightness?: undefined;
                    gamma?: undefined;
                })[];
            })[];
        };
        defaultClickableIcons: boolean;
    };
}
export default Map;
//# sourceMappingURL=MapIndex.d.ts.map